Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Interface OCSPObjectIdentifiers

public interface OCSPObjectIdentifiers

OIDs for RFC 2560 and RFC 6960 Online Certificate Status Protocol - OCSP.

Field Summary
`static ASN1ObjectIdentifier` | `id_pkix_ocsp` OID: 1.3.6.1.5.5.7.48.1
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_archive_cutoff` OID: 1.3.6.1.5.5.7.48.1.6
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_basic` OID: 1.3.6.1.5.5.7.48.1.1
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_crl` OID: 1.3.6.1.5.5.7.48.1.3
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_extended_revoke` OID: 1.3.6.1.5.5.7.48.1.9
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_nocheck` OID: 1.3.6.1.5.5.7.48.1.5
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_nonce` OID: 1.3.6.1.5.5.7.48.1.2
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_pref_sig_algs` OID: 1.3.6.1.5.5.7.48.1.8
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_response` OID: 1.3.6.1.5.5.7.48.1.4
`static ASN1ObjectIdentifier` | `id_pkix_ocsp_service_locator` OID: 1.3.6.1.5.5.7.48.1.7

Field Detail

### id_pkix_ocsp

    public static final ASN1ObjectIdentifier id_pkix_ocsp

  OID: 1.3.6.1.5.5.7.48.1

### id_pkix_ocsp_basic

    public static final ASN1ObjectIdentifier id_pkix_ocsp_basic

  OID: 1.3.6.1.5.5.7.48.1.1

### id_pkix_ocsp_nonce

    public static final ASN1ObjectIdentifier id_pkix_ocsp_nonce

  OID: 1.3.6.1.5.5.7.48.1.2

### id_pkix_ocsp_crl

    public static final ASN1ObjectIdentifier id_pkix_ocsp_crl

  OID: 1.3.6.1.5.5.7.48.1.3

### id_pkix_ocsp_response

    public static final ASN1ObjectIdentifier id_pkix_ocsp_response

  OID: 1.3.6.1.5.5.7.48.1.4

### id_pkix_ocsp_nocheck

    public static final ASN1ObjectIdentifier id_pkix_ocsp_nocheck

  OID: 1.3.6.1.5.5.7.48.1.5

### id_pkix_ocsp_archive_cutoff

    public static final ASN1ObjectIdentifier id_pkix_ocsp_archive_cutoff

  OID: 1.3.6.1.5.5.7.48.1.6

### id_pkix_ocsp_service_locator

    public static final ASN1ObjectIdentifier id_pkix_ocsp_service_locator

  OID: 1.3.6.1.5.5.7.48.1.7

### id_pkix_ocsp_pref_sig_algs

    public static final ASN1ObjectIdentifier id_pkix_ocsp_pref_sig_algs

  OID: 1.3.6.1.5.5.7.48.1.8

### id_pkix_ocsp_extended_revoke

    public static final ASN1ObjectIdentifier id_pkix_ocsp_extended_revoke

  OID: 1.3.6.1.5.5.7.48.1.9

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD